Commit c8e92653 authored by Anton Midyukov's avatar Anton Midyukov

build-vm: separate image script 15-initrd-oem from 17-kernel

For added to initrd.mk.oem before make-initrd.
parent 56ea0fc0
#!/bin/sh
# creating a special initrd.mk
cp /etc/initrd.mk /etc/initrd.mk.oem
echo 'FEATURES += add-modules compress cleanup rdshell rootfs' \
>> /etc/initrd.mk.oem
if [ -n "$GLOBAL_VM_INITRDFEATURES" ]; then
for INITRDFEATURE in $GLOBAL_VM_INITRDFEATURES; do
echo "FEATURES += $INITRDFEATURE" >> /etc/initrd.mk.oem
done
fi
if [ -n "$GLOBAL_VM_INITRDMODULES" ]; then
for INITRDMODULE in $GLOBAL_VM_INITRDMODULES; do
echo "MODULES_TRY_ADD += $INITRDMODULE" >> /etc/initrd.mk.oem
done
fi
......@@ -19,23 +19,6 @@ done
cd /boot
# creating a special initrd.mk
cp /etc/initrd.mk /etc/initrd.mk.oem
echo 'FEATURES += add-modules compress cleanup rdshell rootfs' \
>> /etc/initrd.mk.oem
if [ -n "$GLOBAL_VM_INITRDFEATURES" ]; then
for INITRDFEATURE in $GLOBAL_VM_INITRDFEATURES; do
echo "FEATURES += $INITRDFEATURE" >> /etc/initrd.mk.oem
done
fi
if [ -n "$GLOBAL_VM_INITRDMODULES" ]; then
for INITRDMODULE in $GLOBAL_VM_INITRDMODULES; do
echo "MODULES_TRY_ADD += $INITRDMODULE" >> /etc/initrd.mk.oem
done
fi
for KVER in $kver; do
make-initrd -N -v -k "$KVER" AUTODETECT= -c /etc/initrd.mk.oem \
|| { echo "** Error: make-initrd failed" >&2; exit 1; }
......
Markdown is supported
0% or
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment